fcitx5 (5.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Aug 2025 18:25:35 -0400

fcitx5 (5.1.12-2) unstable; urgency=medium

  * Rebuild for Debian 13 release.
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Mar 2025 18:34:12 -0400

fcitx5 (5.1.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/maint/*: Dropped, patch no longer needed.
  * debian/patches/*: Dropped, patch no longer needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2025 09:52:05 -0500

fcitx5 (5.1.11-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Make fcitx5 build and hopefully install also on non-Linux architectures:
    - add the dh-exec build dependency to add architecture filtering in install
      files
    - install the Wayland-related files only on Linux
    - limit the fcitx5-module-wayland provides in fcitx5-modules as linux-any,
      as Wayland modules are available only on Linux

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Move main package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Sat, 12 Oct 2024 11:04:06 -0400

fcitx5 (5.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 18:29:55 -0400

fcitx5 (5.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 May 2024 22:36:55 -0400

fcitx5 (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Apr 2024 12:00:54 -0400

fcitx5 (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:06:42 -0400

fcitx5 (5.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Fix libuv dev pkg name (should be libuv1-dev).
  * debian/fcitx5.install: Also install new file
    /etc/xdg/Xwayland-session.d/20-fcitx-x11.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jan 2024 23:02:43 -0500

fcitx5 (5.1.6-2) unstable; urgency=medium

  * debian/control: Add missing build-dependency libuv-dev [!linux-any]
    and try to fix FTBFS on hurd platform.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 12:23:49 -0500

fcitx5 (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 00:12:36 -0500

fcitx5 (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Nov 2023 15:39:45 -0500

fcitx5 (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Nov 2023 13:22:25 -0500

fcitx5 (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/: Backport trunk patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Nov 2023 13:33:37 -0400

fcitx5 (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Nov 2023 14:07:08 -0400

fcitx5 (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Sep 2023 20:00:44 -0400

fcitx5 (5.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 07:25:33 -0400

fcitx5 (5.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh information.
  * debian/patches/: Refresh patches.
  * debian/libfcitx5*.install: Update library install filename.
  * debian/fcitx5-modules.install: Update file installation.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Aug 2023 23:17:09 -0400

fcitx5 (5.0.23-2) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jul 2023 15:39:00 -0400

fcitx5 (5.0.23-2~exp1) experimental; urgency=medium

  * debian/control:
    + Add new metapackage fcitx5-frontend-all.
    + Let package fcitx5 recommends fcitx5-frontend-all instead of
      individual fcitx5-frontend-* packages.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Jun 2023 15:15:51 -0400

fcitx5 (5.0.23-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #1037372)

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:54:14 -0400

fcitx5 (5.0.23-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Update new information.
  * debian/patches: Refresh patches.
  * debian/control:
    + Bump xcb-imdkit requirement to 1.0.5.
    + Update build-dep: libgdk-pixbuf2.0-dev => libgdk-pixbuf-2.0-dev.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Mar 2023 21:32:17 -0400

fcitx5 (5.0.21-3) unstable; urgency=medium

  * debian/control: Tighten versioned dependency of xcb-imdkit to
    (>= 1.0.3~) to solve build issues with backports.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Jan 2023 22:00:43 -0500

fcitx5 (5.0.21-2) unstable; urgency=medium

  * debian/control: Replace test-build-dependency dbus with
    dbus-daemon to solve MBF on dbus dependency.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Nov 2022 16:04:33 -0500

fcitx5 (5.0.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop hotfix patch.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Nov 2022 10:25:46 -0500

fcitx5 (5.0.20-2) unstable; urgency=medium

  * debian/patches: Add hotfix patch from upstream trunk on activation
    state (upstream issue 661).

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 12:16:19 -0500

fcitx5 (5.0.20-1) unstable; urgency=medium

  * New upstream version 5.20.
    + Install emoji data to fcitx5-data package.
  * debian/copyright: Update information.
  * debian/control: Merge modules package into single fcitx5-modules
    as requested by upstream developer.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Nov 2022 17:55:48 -0500

fcitx5 (5.0.19-1) unstable; urgency=medium

  * New upstream version 5.0.19.
  * debian/watch: Switch to upstream dict tarball.
  * debian/upstream/signing-key.asc: Added.
  * debian/copyright:
    + Update en_dict info accordingly.
    + Update org_kde_kwin_blur code info.
  * debian/patches/0001: Drop patch on altered en_dict path,
    no longer needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Aug 2022 13:46:33 -0400

fcitx5 (5.0.18-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Jul 2022 21:44:59 -0400

fcitx5 (5.0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jun 2022 14:13:54 -0400

fcitx5 (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 16:45:41 -0400

fcitx5 (5.0.15-2) unstable; urgency=medium

  * debian/control: Recommend installation of fcitx5-frontend-qt6.
  * debian/copyright: Correct Source field with GitHub project.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Apr 2022 10:08:26 -0400

fcitx5 (5.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 06:32:54 -0400

fcitx5 (5.0.14-1) unstable; urgency=medium

  * New upstream version.
  * debian/fcitx5.install:
    + Also install /usr/libexec/fcitx5-wayland-launcher.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Feb 2022 21:55:22 -0500

fcitx5 (5.0.13-1) unstable; urgency=medium

  * New upstream version.

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Jan 2022 09:53:56 -0500

fcitx5 (5.0.12-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Jan 2022 13:13:05 -0500

fcitx5 (5.0.11-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Update information.
  * debian/patches: Refresh patches.
  * debian/fcitx5-module-*.install: Rename file installation
    following upstream changes.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Dec 2021 16:02:09 -0500

fcitx5 (5.0.10-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: Drop workaround on previously-broken cmake.
  * Restore upstream icon naming scheme:
    + debian/not-installed: Do not exclude installation of
      non-flatpak icons.
    + debian/patches: Drop patch that unconditionally use
      Flatpak-style icon name.
    + debian/rules: Set USE_FLATPAK_ICON to OFF.
    + debian/fcitx5.install: Ship non-Flatpak icons with binary
      package fcitx5. (Closes: #976603)
    + debian/control: Let fcitx5 conflicts with:
      - fcitx (<< 1:5)
      - fcitx-data (<< 1:5)
      - fcitx-bin (<< 1:5)
    + debian/fcitx5.NEWS: Add a NEWS entry for this change.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Mon, 22 Nov 2021 16:50:00 -0500

fcitx5 (5.0.9-2) unstable; urgency=medium

  * Team upload.
  * Fix config-opt on non-linux
  * Set CMAKE_INSTALL_FULL_LIBEXECDIR to /usr/libexec

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 01:44:19 +0800

fcitx5 (5.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix typo in package description
  * Recommends fcitx5-frontend-gtk4 (Closes: #995019)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 01:32:30 +0800

fcitx5 (5.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 02:11:10 +0800

fcitx5 (5.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 14:58:45 +0800

fcitx5 (5.0.4-3) unstable; urgency=medium

  * Team upload.
  * Missing fcitx5-module-quickphrase in fcitx5-modules-dev Depends
  * Add libkvm-dev to Build-Depends on kfreebsd

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 20 Jan 2021 02:23:25 +0800

fcitx5 (5.0.4-2) unstable; urgency=medium

  * Team upload.
  * Reorg module packages.
    Merge fcitx5-module-dbus, fcitx5-module-ibus, fcitx5-module-kimpanel,
    fcitx5-module-fcitx4 to fcitx5-modules.
    No new dependency on fcitx5-modules.
  * Enable building on non-linux
  * Don't install xdg auto start file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 12:03:33 +0800

fcitx5 (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add new fcitx5-module-fcitx4 package

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 01:37:58 +0800

fcitx5 (5.0.3-2) unstable; urgency=medium

  * Manual rebuild against libxcb-imdkit 1.0.1.
  * debian/control: Tighten version requirement of xcb-imdkit to
    (>= 1.0.1~).

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Dec 2020 18:29:50 -0500

fcitx5 (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 12 Dec 2020 21:40:10 +0800

fcitx5 (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix uscan watch file syntax
  * Refresh patches
  * Use flatpak style icon
  * Update README.Debian
  * Fix lintian by renaming dbus to D-Bus
  * Drop library version patch.
    After the project version is bumped to 5.0.x, there's no
    name clash

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 17:39:35 +0800

fcitx5 (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Ask user to run fcitx5-diagnose when reporting bugs
  * Backport patch for fcitx5-diagnose.
    To detect the multi-arch library patch.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 15 Nov 2020 17:57:40 +0800

fcitx5 (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add fcitx5-config-qt to Recommends (Closes: #963725)
  * Apply Multi-Arch hints

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Nov 2020 22:55:19 +0800

fcitx5 (0.0~git20201030.a5a0551-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix fcitx library cmake config

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 22:22:38 +0800

fcitx5 (0.0~git20201030.a5a0551-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Bump libfcitx5core SO version to 7

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 15:57:58 +0800

fcitx5 (0.0~git20200825.962d15a-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * Disable parallel test to fix dbus issue
  * as-needed LDFLAGS is not needed since bullseye
  * Change architecture from linux-any to any
  * Remove incorrect Multi-Arch same annotation.
  * Refresh patches
  * Add fcitx5 default input method profile.
  * Add imselector module
  * Bump libfcitx5config SOVERSION to 6
  * Bump libfcitx5core SOVERSION to 6
  * Bump libfcitx5utils SOVERSION to 2

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 02:42:44 +0800

fcitx5 (0.0~git20200626.2e9821a-2) unstable; urgency=medium

  * Team upload.
  * Add libbrotli-dev to Build-Depends
  * Add patch to change kde-config-fcitx5 name reference

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 03 Jul 2020 11:44:24 +0800

fcitx5 (0.0~git20200626.2e9821a-1) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * debian/README.Debian: Clarify current condition

  [ Shengjing Zhu ]
  * New upstream snapshot (Closes: #957195)
  * Adjust Recommends and Suggests for fcitx5 metapackage.
    Recommends:
    + fcitx5-frontend-qt5
    + fcitx5-frontend-gtk3
    + im-config
    Suggests:
    + fcitx5-frontend-gtk2
    + fcitx5-chinese-addons
    + kde-config-fcitx5 (Provides fcitx5-config-qt tool)
  * Bump debhelper-compat to 13 and clean up d/rules
  * Bump libxcb-imdkit-dev to 0~20200606
  * Change charselectdata path in fcitx5-data
  * Fix missing Depends on -dev package

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jul 2020 02:48:25 +0800

fcitx5 (0.0~git20200409.6409547-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Remove simpleui from fcitx5-modules.
    Not built by source in new version
  * Install testui, testim, testfrontend to fcitx5-modules.
    New addon built by source in new version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 22:34:53 +0800

fcitx5 (0.0~git20200323.c123909-2) unstable; urgency=medium

  * Team upload.
  * Forget to rename fcitx.svg icon

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 21:52:02 +0800

fcitx5 (0.0~git20200323.c123909-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Bump libxcb-imdkit-dev to 0~20200318
  * Add patch to rename icon to fcitx5
  * Install fcitx5 icons

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 02:58:15 +0800

fcitx5 (0.0~git20200312.cce34c7-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Split emoji module to a separate package.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 12:56:10 +0800

fcitx5 (0.0~git20200311.dafb468-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Move dict data to debian directory.
    No longer repack upstream tarball.
  * Add new emoji module to fcitx5-modules package.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 00:07:44 +0800

fcitx5 (0.0~git20200128.9e3bc8d+ds1-3) unstable; urgency=medium

  * debian/README.Debian: Add a README introducing how to use
    fcitx5 properly.
  * debian/control: Suggest installing im-config (>= 0.44).

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Feb 2020 22:37:27 -0500

fcitx5 (0.0~git20200128.9e3bc8d+ds1-2) unstable; urgency=medium

  * debian/control:
    - Do not let the fcitx5-module-quickphrase package recommend
      fcitx5-module-quickphrase-editor package. It is currently
      provided by fcitx4.
  * debian/upstream/metadata:
    + Add information: Repository, Repository-Browse.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Feb 2020 11:35:16 -0500

fcitx5 (0.0~git20200128.9e3bc8d+ds1-1) unstable; urgency=medium

  * debian/control:
    + Mark package fcitx5 to be suggesting the Qt/GTK frontend
      packages.
    + Convert package fcitx5-modules to be in metapackages section.
    + Bump Standards-Version to 4.5.0.
  * ds: No longer ships libime-related dictionaries in fcitx5-data
        package.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Feb 2020 14:19:46 -0500

fcitx5 (0.0~git20200117.a2871df+ds2-1) unstable; urgency=medium

  * data/: Also include py_*.mb, used by fcitx5 pinyinhelper module.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2020 18:18:58 -0500

fcitx5 (0.0~git20200117.a2871df+ds1-1) unstable; urgency=medium

  * New upstream snapshot (git 20200117).

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2020 14:19:36 -0500

fcitx5 (0.0~git20191231.c0a272a+ds1-2) unstable; urgency=medium

  * debian/control: Build-depend on libenchant 2.x instead of
    old 1.x.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jan 2020 11:39:57 -0500

fcitx5 (0.0~git20191231.c0a272a+ds1-1) unstable; urgency=medium

  * New upstream snapshot (git 20191231).

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2020 13:16:10 -0800

fcitx5 (0.0~git20191114.c2b3517+ds1-1) unstable; urgency=medium

  * New upstream snapshot (git 20191114).
  * debian/watch: Monitor upstream git HEAD.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Nov 2019 12:31:02 -0500

fcitx5 (0~20191021+ds2-2) unstable; urgency=medium

  * libfcitx5utils-dev.install: Also install the *.cmake.in files.
    This might be useful to some users.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Nov 2019 13:30:27 -0500

fcitx5 (0~20191021+ds2-1) unstable; urgency=medium

  * data: Placd data files into /data/ subdirectory.
  * debian/patches: Refresh patch accordingly.
  * debian/fcitx5-data.install: Refresh data install instruction.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 10:27:25 -0500

fcitx5 (0~20191021+ds1-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Set homepage back to GitHub project.
  * debian/watch: Monitor releases on GitHub.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Oct 2019 00:33:48 -0400

fcitx5 (0~20190716+ds1-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Mark multiple packages as M-A: same.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Sep 2019 11:30:13 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfcitx5utils2`.
